# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_Comment Class Reference

`#include <PDataStd_Comment.hxx>`

Inheritance diagram for PDataStd_Comment:

[legend]

## Public Member Functions

Standard_EXPORT | PDataStd_Comment ()
Standard_EXPORT | PDataStd_Comment (const Handle(PCollection_HExtendedString)&V)
Standard_EXPORT Handle_PCollection_HExtendedString | Get () const
Standard_EXPORT void | Set (const Handle(PCollection_HExtendedString)&V)
| PDataStd_Comment (const Storage_stCONSTclCOM &a)
| Handle (PCollection_HExtendedString) _CSFDB_GetPDataStd_CommentmyValue() const
void | _CSFDB_SetPDataStd_CommentmyValue (const Handle(PCollection_HExtendedString)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PCollection_HExtendedString | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_Comment::PDataStd_Comment | ( |  | ) |

Standard_EXPORT PDataStd_Comment::PDataStd_Comment | ( | const Handle(PCollection_HExtendedString)& | V | ) |

PDataStd_Comment::PDataStd_Comment | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PDataStd_Comment::_CSFDB_SetPDataStd_CommentmyValue | ( | const Handle(PCollection_HExtendedString)& | p | ) | `[inline]`

Standard_EXPORT Handle_PCollection_HExtendedString PDataStd_Comment::Get | ( |  | ) | const

Standard_EXPORT const PDataStd_Comment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDataStd_Comment::Handle | ( | PCollection_HExtendedString |  | ) | const`[inline]`

Standard_EXPORT void PDataStd_Comment::Set | ( | const Handle(PCollection_HExtendedString)& | V | ) |

## Field Documentation

Handle_PCollection_HExtendedString PDataStd_Comment::myValue `[private]`

The documentation for this class was generated from the following file:

- PDataStd_Comment.hxx